🗝
summary refs log tree commit diff
path: root/go.sh
diff options
context:
space:
mode:
authormia <mia@mia.jetzt>2024-10-04 15:43:40 -0700
committermia <mia@mia.jetzt>2024-10-04 15:43:40 -0700
commit7e060e5cf2656a0a53d41ea0ff42b753316cd441 (patch)
tree2629f3d1e12d21c406974000dd195518aa5b6041 /go.sh
parentbb8a48fd4d85ba4f8224c68aaaf9069d5d79dae2 (diff)
downloadscrubber-7e060e5cf2656a0a53d41ea0ff42b753316cd441.tar.gz
scrubber-7e060e5cf2656a0a53d41ea0ff42b753316cd441.zip
she's goin
Diffstat (limited to 'go.sh')
-rwxr-xr-xgo.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/go.sh b/go.sh
index 39f3779..169d025 100755
--- a/go.sh
+++ b/go.sh
@@ -1,13 +1,19 @@
-#!/bin/sh
+#!/bin/bash
 
-set -ex
+set -e
+
+if [[ "$1" = "" ]]; then
+  echo missing name
+  exit
+fi
 
-test -f graph.db && rm graph.db
-test -f filtered.list && rm filtered.list
 test -d out && rm -r out
+
+set -x
 python3 1_graph.py conf_$1.py
 python3 2_filter.py conf_$1.py
-# python3 3_archive.py conf_$1.py
-# echo uploading to memorial
-# rsync -r -e 'ssh -p23' --progress out/ memorial:fediverse/$1/
-# python3 4_delete.py conf_$1.py
+python3 3_archive.py conf_$1.py
+rsync -r -e 'ssh -p23' --progress out/file/ memorial:fediverse/$1/file/
+rsync -r -e 'ssh -p23' --progress --ignore-existing out/note/ memorial:fediverse/$1/note/
+rsync -r -e 'ssh -p23' --progress out/user/ memorial:fediverse/$1/user/
+python3 4_delete.py conf_$1.py